duplicate_comparator Struct Reference

## Public Member Functions

bool | operator() (const xpath_node &lhs, const xpath_node &rhs) const

## Detailed Description

Definition at line 6745 of file pugixml.cpp.

## Member Function Documentation

## operator()()

bool duplicate_comparator::operator() | ( | const xpath_node & | lhs,
|  | const xpath_node & | rhs
| ) |  | const

inline

Definition at line 6747 of file pugixml.cpp.

{
if (lhs.attribute()) return rhs.attribute() ? lhs.attribute() < rhs.attribute() : true;
else return rhs.attribute() ? false : lhs.node() < rhs.node();
}

The documentation for this struct was generated from the following file:

- pugixml.cpp